package com.fjhx.victoriatourist.service.blessing;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.blessing.dto.BlessingLanguageDto;
import com.fjhx.victoriatourist.entity.blessing.dto.BlessingLanguageSelectDto;
import com.fjhx.victoriatourist.entity.blessing.po.BlessingLanguage;
import com.fjhx.victoriatourist.entity.blessing.vo.BlessingLanguageVo;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;

/**
 * <p>
 * 祝福语管理 服务类
 * </p>
 *
 * @author LQH
 * @since 2023-12-10
 */
public interface BlessingLanguageService extends BaseService<BlessingLanguage> {

    /**
     * 祝福语管理列表
     */
    List<BlessingLanguageVo> getList(BlessingLanguageSelectDto dto);

    /**
     * 祝福语管理分页
     */
    Page<BlessingLanguageVo> getPage(BlessingLanguageSelectDto dto);

    /**
     * 祝福语管理明细
     */
    BlessingLanguageVo detail(Long id);

    /**
     * 祝福语管理新增
     */
    void add(BlessingLanguageDto blessingLanguageDto);

    /**
     * 祝福语管理编辑
     */
    void edit(BlessingLanguageDto blessingLanguageDto);

    /**
     * 祝福语管理删除
     */
    void delete(Long id);

}
